View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000841aMuleMulti Platformpublic2006-03-15 02:152006-03-21 05:58
ReporterD10Tmain 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in VersionSVN 
Summary0000841: endian issue in KAD
Descriptionissue similar to issue 680 (bytes swaped) but now with KAD
in log:

many lines like (83.x.x.x is my national provider network):
Error on CKademliaUDPListener::processPublishRequest received from: x.x.x.83:4672
No ip match
some multicast addresses:
Error on CKademliaUDPListener::processPublishRequest received from: 226.x.x.x:4672
No ip match
Error on CKademliaUDPListener::processPublishRequest received from: 254.x.x.x:11678
No ip match
Error on CKademliaUDPListener::processPublishRequest received from: 252.x.x.83:4672
No ip match

PS any change to i680 ?
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships
related to 0000680closedKry endians issue in source exchange ? 

-  Notes
(0001877)
Kry (manager)
2006-03-15 16:07

It's just debug log, so nothing important anyway

As for 680, is it not fixed yet?
(0001882)
D10Tmain (reporter)
2006-03-16 00:03

i was off from amule some time
few days ago recompiled 2.1.0 and show kad error in log
now there are no errors from i680 - think it`s resolved
(0001897)
Kry (manager)
2006-03-21 05:58

That printf's doesn't exist on any sane code anyway now, so closing

- Issue History
Date Modified Username Field Change
2006-03-15 02:15 D10Tmain New Issue
2006-03-15 16:06 Kry Relationship added related to 0000680
2006-03-15 16:07 Kry Note Added: 0001877
2006-03-15 16:07 Kry Status new => assigned
2006-03-15 16:07 Kry Assigned To => Kry
2006-03-16 00:03 D10Tmain Note Added: 0001882
2006-03-21 05:58 Kry Status assigned => resolved
2006-03-21 05:58 Kry Fixed in Version => CVS
2006-03-21 05:58 Kry Resolution open => fixed
2006-03-21 05:58 Kry Note Added: 0001897


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker